Fix up mistakes from cherry-picks
diff --git a/createproject.sh b/createproject.sh
index 24effbf..bf50748 100755
--- a/createproject.sh
+++ b/createproject.sh
@@ -105,10 +105,8 @@
 perl -i -pe "s/{NAME}/$APP_NAME/g" config.xml || exit 1
 perl -i -pe "s/{VERSION}/$APP_VERSION/g" config.xml || exit 1
 
-PLATFORM_ARGS="${PLATFORMS/android/$AH_PATH/node_modules/cordova-android}"
-
 set -x
-$CORDOVA platform add $PLATFORM_ARGS --link || exit 1
+$CORDOVA platform add $PLATFORMS --link || exit 1
 set +x
 
 if [[ "$PLATFORMS" = *android* ]]; then
@@ -138,6 +136,8 @@
     cordova-plugin-file-transfer \
     cordova-plugin-device \
     cordova-plugin-network-information \
+    cordova-plugin-whitelist \
+    cordova-plugin-chrome-apps-runtime \
     cordova-plugin-chrome-apps-sockets-tcp \
     cordova-plugin-chrome-apps-sockets-tcpserver \
     cordova-plugin-chrome-apps-system-network \
@@ -171,7 +171,6 @@
     cordova-plugin-splashscreen \
     cordova-plugin-statusbar \
     cordova-plugin-vibration \
-    cordova-plugin-whitelist \
     --link \
     --searchpath="$PLUGIN_SEARCH_PATH" \
     $PLUGIN_REGISTRY_FLAG || exit $?
diff --git a/package.json b/package.json
index 60c8021..1f1cc41 100644
--- a/package.json
+++ b/package.json
@@ -13,7 +13,6 @@
   },
   "devDependencies": {
     "cordova": "latest",
-    "cordova-android": "apache/cordova-android#4.0.x",
     "gulp": "latest",
     "gulp-jshint": "~1.6"
   }
diff --git a/www/cdvah/harnessmenu.html b/www/cdvah/harnessmenu.html
index 3f1e6d8..bd595ec 100644
--- a/www/cdvah/harnessmenu.html
+++ b/www/cdvah/harnessmenu.html
@@ -22,7 +22,6 @@
         <title>Cordova App Harness</title>
         <meta http-equiv="Content-Security-Policy" content="default-src 'self' data: gap: https://ssl.gstatic.com 'unsafe-inline' 'unsafe-eval'">
         <meta name="viewport" content="width=device-width, user-scalable=no">
-        <link rel="stylesheet" type="text/css" href="generated/style.css" />
         <script>THIS_IS_APP_HARNESS=true</script>
         <script type="text/javascript" src="../cordova.js"></script>
         <script type="text/javascript" src="js/libs/slice.js"></script>
diff --git a/www/cdvah/js/AppsService.js b/www/cdvah/js/AppsService.js
index 6d1292d..7bca9bb 100644
--- a/www/cdvah/js/AppsService.js
+++ b/www/cdvah/js/AppsService.js
@@ -26,6 +26,7 @@
         var _installers = null;
         // The app that is currently running.
         var activeInstaller = null;
+        var curWebViewType = null;
 
         function readAppsJson() {
             var deferred = $q.defer();
@@ -133,6 +134,7 @@
                 if (activeInstaller) {
                     activeInstaller.unlaunch();
                     activeInstaller = null;
+                    curWebViewType = null;
                     return AppHarnessUI.destroy();
                 }
                 return $q.when();